package uulm.teamname.marvelous.gamelibrary.entities;

import uulm.teamname.marvelous.gamelibrary.IntVector2;

/** Represents an abstract entity.
 */
public abstract class Entity {
    /** Whether or not the entity is currently active in the game.
     */
    private boolean active = true;

    /** The position of the entity.
     */
    private IntVector2 position;

    /** The {@link EntityID} of the entity.
     */
    public final EntityID id;

    /** Constructs a new {@link Entity}.
     * @param id The {@link EntityID} of the entity.
     * @param position The position of the entity.
     */
    protected Entity(EntityID id, IntVector2 position) {
        this.position = position;
        this.id = id;
    }

    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public IntVector2 getPosition() {
        return position;
    }

    public void setPosition(IntVector2 position) {
        this.position = position;
    }
}

